<?php
/////////////////////////////////////////// Plgn_PowerPoint //////////////////////////////////////
class XHEPOWERPOINT extends XHEBaseObject
{
//////////////////////////// SERVICE FUNCTIONS /////////////////////////////////////////////////////
    // server initialization
    private string $inner_number;

    function __construct(string $server, string $password="")
	{
		$this->server = $server;
		$this->password = $password;
		$this->prefix = "Plgn_PowerPoint";
	}
/////////////////////////////////////////////////////////////////////////////////////////////////////    
    
    // получить текст из всех слайдов
    function read_document(string $document_path, string $password="unkown"): string
    {
        $params = array( "document_path" => $document_path, "password" => $password );
        return $this->call_get(__FUNCTION__, $params);
    }

    // получить текст из слайда
    function read_slide(string $document_path, int $number, string $password="unkown"): string
    {
        $params = array( "document_path" => $document_path, "number" => $number, "password" => $password );
        return $this->call_get(__FUNCTION__, $params);
    }

    // удалить слайд
    function delete_slide(string $document_path, int $number, string $password="unkown"): bool
    {
        $params = array( "document_path" => $document_path, "number" => $number, "password" => $password );
        return $this->call_get(__FUNCTION__, $params);
    }

    // экспорт PPT в PDF
    function export_ppt_to_pdf(string $document_path, string $pdf_path, string $password="unkown"): bool
    {
        $params = array( "document_path" => $document_path, "pdf_path" => $pdf_path, "password" => $password );
        return $this->call_get(__FUNCTION__, $params);
    }

    // получить количество слайдов в документе
    function get_slide_count(string $document_path, string $password="unkown"): int
    {
        $params = array( "document_path" => $document_path, "password" => $password );
        return $this->call_get(__FUNCTION__, $params);
    }

    // вставить слайд в PPT
    function insert_new_slide(string $document_path, int $number, string $layout="Microsoft.Office.Interop.PowerPoint.PpSlideLayout.ppLayoutBlank", string $password="unkown"): bool
    {
        $params = array( "document_path" => $document_path, "number" => $number, "layout" => $layout, "password" => $password );
        return $this->call_get(__FUNCTION__, $params);
    }

    // добавить слайд к PPT
    function append_slide(string $document_path, string $layout="PpSlideLayout.ppLayoutBlank", string $password="unkown"): bool
    {
        $params = array( "document_path" => $document_path, "layout" => $layout, "password" => $password );
        return $this->call_get(__FUNCTION__, $params);
    }
};

?>
