from Objects.xhe_base import *


# Plgn_PowerPoint
class XHEPOWERPOINT(XHEBaseObject):
    # server initialization
    def __init__(self, server: str, password: str=""):
        self.server = server
        self.password = password
        self.prefix = "Plgn_PowerPoint"


    # получить текст из всех слайдов
    def read_document(self, document_path: str, password: str="unkown") -> str:
        params = {"document_path": document_path, "password": password}
        return self.call_get("read_document", params)


    # получить текст из слайда
    def read_slide(self, document_path: str, number: int, password: str="unkown") -> str:
        params = {"document_path": document_path, "number": number, "password": password}
        return self.call_get("read_slide", params)


    # удалить слайд
    def delete_slide(self, document_path: str, number: int, password: str="unkown") -> bool:
        params = {"document_path": document_path, "number": number, "password": password}
        return self.call_get("delete_slide", params)


    # экспорт PPT в PDF
    def export_ppt_to_pdf(self, document_path: str, pdf_path: str, password: str="unkown") -> bool:
        params = {"document_path": document_path, "pdf_path": pdf_path, "password": password}
        return self.call_get("export_ppt_to_pdf", params)


    # получить количество слайдов в документе
    def get_slide_count(self, document_path: str, password: str="unkown") -> int:
        params = {"document_path": document_path, "password": password}
        return self.call_get("get_slide_count", params)


    # вставить слайд в PPT
    def insert_new_slide(self, document_path: str, number: int, layout: str="Microsoft.Office.Interop.PowerPoint.PpSlideLayout.ppLayoutBlank", password: str="unkown") -> bool:
        params = {"document_path": document_path, "number": number, "layout": layout, "password": password}
        return self.call_get("insert_new_slide", params)


    # добавить слайд к PPT
    def append_slide(self, document_path: str, layout: str="PpSlideLayout.ppLayoutBlank", password: str="unkown") -> bool:
        params = {"document_path": document_path, "layout": layout, "password": password}
        return self.call_get("append_slide", params)

